New Search

Arbitrary code execution in dirapi.dll in Adobe Shockwave Player before 11.5.9.615 via unspecified vectors

oval:org.mitre.oval:def:12169

dirapi.dll in Adobe Shockwave Player before 11.5.9.615 allows attackers to execute arbitrary code or cause a denial of service (memory corruption) via a .dir file with "duplicated references to the same KEY* chunk" a different vulnerability than CVE-2010-2581 CVE-2010-4084 CVE-2010-4085 and CVE-2010-4086.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows 2000
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2010-4088
Product(s):
  • Adobe Shockwave Player